aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormutantturkey <crazycal00@gmail.com>2010-05-06 19:00:41 -0400
committermutantturkey <crazycal00@gmail.com>2010-05-06 19:00:41 -0400
commitaeb1e803dac02f29bff5c3a030751ee44a76a98a (patch)
tree6626a0aab4d78fc6fd0dae802d965366a06cfbe9
parentf38ee0de0af05f684337e328cf941458f4501973 (diff)
added a PKGBUILD for ArchLinux
-rw-r--r--PKGBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..1e51e64
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Calvin Morrison <mutantturkey@gmail.com>
+# Contributor: Dannny <danny.a95@gmail.com>
+
+pkgname=sb-git
+pkgver=20100506
+pkgrel=1
+pkgdesc="sb - a simple tabbed webkit browser, aims to suckless, while still being a full featured modern desktop."
+arch=('i686' 'x86_64')
+url="http://github.com/mutantturkey/sb/"
+license=('GPL' 'MIT/X')
+depends=('gtk2' 'libwebkit')
+makedepends=('git')
+provides=('sb')
+conflicts=('sb')
+
+_gitroot=git://github.com/mutantturkey/sb.git
+_gitname=sb
+
+build() {
+ cd $srcdir
+
+ msg "connecting to github's GIT server...."
+
+ if [ -d $startdir/src/$_gitname ] ; then
+ cd $_gitname && git-pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot
+ fi
+
+ msg "GIT checkout done"
+
+ cd "$srcdir/$_gitname"
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+
+}